propellor-5.10.1: property-based host configuration management in haskell

Maintainer | Nicolas Schodet <nico@ni.fr.eu.org>
Safe Haskell | None
Language | Haskell98

Propellor.Property.Lvm

Description

Support for LVM logical volumes.

Synopsis

- lvFormatted :: Eep -> LogicalVolume -> DataSize -> Fs -> RevertableProperty DebianLike UnixLike
- installed :: RevertableProperty DebianLike DebianLike
- data Eep = YesReallyFormatLogicalVolume
- newtype VolumeGroup = VolumeGroup String
- data LogicalVolume = LogicalVolume String VolumeGroup

# Documentation

lvFormatted :: Eep -> LogicalVolume -> DataSize -> Fs -> RevertableProperty DebianLike UnixLike Source #

Create or resize a logical volume, and make sure it is formatted. When reverted, remove the logical volume.

Example use:

    import qualified Propellor.Property.Lvm as Lvm
    import qualified Propellor.Property.Partition as Partition
    Lvm.lvFormatted Lvm.YesReallyFormatLogicalVolume
            (Lvm.LogicalVolume "test" (Lvm.VolumeGroup "vg0")) "16m"
            Partition.EXT4

If size and filesystem match, nothing is done.

Volume group must have been created already.

installed :: RevertableProperty DebianLike DebianLike Source #

Make sure needed tools are installed.

data Eep Source #

Constructors

YesReallyFormatLogicalVolume |

newtype VolumeGroup Source #

Constructors

VolumeGroup String |

data LogicalVolume Source #

Constructors

LogicalVolume String VolumeGroup |